Subject: Re: bug#52293: 29.0.50; [PATCH v3] Prevent further cases of duplicated separators in context menus

From: Eli Zaretskii <[email-masked]>
Date: Mon, 13 Dec 2021 14:23:38 +0200

> Cc: [email-masked], [email-masked]
> From: Jim Porter <[email-masked]>
> Date: Sun, 12 Dec 2021 13:59:16 -0800
> 
> On 12/12/2021 12:43 PM, Eli Zaretskii wrote:
> >> Cc: [email-masked], [email-masked]
> >> From: Jim Porter <[email-masked]>
> >> Date: Sun, 12 Dec 2021 12:27:34 -0800
> >>
> >> On 12/11/2021 11:02 PM, Eli Zaretskii wrote:
> >>> Are you saying that we will be recommending a convention for separator
> >>> names only for menus popped up in context-menu-mode?  Does it make
> >>> sense to have such a specialized convention?  Isn't it possible to
> >>> show context menus outside of the context-menu-mode?
> >>
> >> No, I think this convention should be recommended for separators used
> >> anywhere in Emacs going forward.
> > 
> > Ok, so then the effect of this change is wide, as I envisioned, and
> > compatibility considerations still apply.
> 
> I'm also ok with applying this naming convention *only* to context menus 
> and not treating this as a general guideline; that would still make it 
> easier to remember the names of each context menu separator without 
> having to double-check the source code.

I don't think this would make sense, and I said that above.